# DataExchange
TKSTEP209
StepFEA

# StepFEA_Curve3dElementRepresentation Class Reference

Representation of STEP entity Curve3dElementRepresentation
.

`#include <StepFEA_Curve3dElementRepresentation.hxx>`

Inheritance diagram for StepFEA_Curve3dElementRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_Curve3dElementRepresentation ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(StepFEA_HArray1OfNodeRepresentation)&aElementRepresentation_NodeList, const Handle(StepFEA_FeaModel3d)&aModelRef, const Handle(StepElement_Curve3dElementDescriptor)&aElementDescriptor, const Handle(StepFEA_Curve3dElementProperty)&aProperty, const Handle(StepElement_ElementMaterial)&aMaterial)

| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaModel3d | ModelRef () const
| Returns field ModelRef .
Standard_EXPORT void | SetModelRef (const Handle(StepFEA_FeaModel3d)&ModelRef)
| Set field ModelRef .
Standard_EXPORT Handle_StepElement_Curve3dElementDescriptor | ElementDescriptor () const
| Returns field ElementDescriptor .
Standard_EXPORT void | SetElementDescriptor (const Handle(StepElement_Curve3dElementDescriptor)&ElementDescriptor)
| Set field ElementDescriptor .
Standard_EXPORT Handle_StepFEA_Curve3dElementProperty | Property () const
| Returns field Property .
Standard_EXPORT void | SetProperty (const Handle(StepFEA_Curve3dElementProperty)&Property)
| Set field Property .
Standard_EXPORT Handle_StepElement_ElementMaterial | Material () const
| Returns field Material .
Standard_EXPORT void | SetMaterial (const Handle(StepElement_ElementMaterial)&Material)
| Set field Material .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_FeaModel3d | theModelRef
Handle_StepElement_Curve3dElementDescriptor | theElementDescriptor
Handle_StepFEA_Curve3dElementProperty | theProperty
Handle_StepElement_ElementMaterial | theMaterial

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Curve3dElementRepresentation::StepFEA_Curve3dElementRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepElement_Curve3dElementDescriptor StepFEA_Curve3dElementRepresentation::ElementDescriptor | ( |  | ) | const

Standard_EXPORT const StepFEA_Curve3dElementRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_ElementRepresentation.

Standard_EXPORT void StepFEA_Curve3dElementRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aElementRepresentation_NodeList,
|  | const Handle(StepFEA_FeaModel3d)& | aModelRef,
|  | const Handle(StepElement_Curve3dElementDescriptor)& | aElementDescriptor,
|  | const Handle(StepFEA_Curve3dElementProperty)& | aProperty,
|  | const Handle(StepElement_ElementMaterial)& | aMaterial
| ) |

Standard_EXPORT Handle_StepElement_ElementMaterial StepFEA_Curve3dElementRepresentation::Material | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_FeaModel3d StepFEA_Curve3dElementRepresentation::ModelRef | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_Curve3dElementProperty StepFEA_Curve3dElementRepresentation::Property | ( |  | ) | const

Standard_EXPORT void StepFEA_Curve3dElementRepresentation::SetElementDescriptor | ( | const Handle(StepElement_Curve3dElementDescriptor)& | ElementDescriptor | ) |

Standard_EXPORT void StepFEA_Curve3dElementRepresentation::SetMaterial | ( | const Handle(StepElement_ElementMaterial)& | Material | ) |

Standard_EXPORT void StepFEA_Curve3dElementRepresentation::SetModelRef | ( | const Handle(StepFEA_FeaModel3d)& | ModelRef | ) |

Standard_EXPORT void StepFEA_Curve3dElementRepresentation::SetProperty | ( | const Handle(StepFEA_Curve3dElementProperty)& | Property | ) |

## Field Documentation

Handle_StepElement_Curve3dElementDescriptor StepFEA_Curve3dElementRepresentation::theElementDescriptor`[private]`

Handle_StepElement_ElementMaterial StepFEA_Curve3dElementRepresentation::theMaterial`[private]`

Handle_StepFEA_FeaModel3d StepFEA_Curve3dElementRepresentation::theModelRef`[private]`

Handle_StepFEA_Curve3dElementProperty StepFEA_Curve3dElementRepresentation::theProperty`[private]`

The documentation for this class was generated from the following file:

- StepFEA_Curve3dElementRepresentation.hxx